Package com.sun.mail.gimap

# Class GmailMsgIdTerm

java.lang.Object
javax.mail.search.SearchTerm
com.sun.mail.gimap.GmailMsgIdTerm

All Implemented Interfaces:
  `Serializable`

public final class GmailMsgIdTerm extends SearchTerm
This class implements searching for the Gmail message ID.

Since:
  JavaMail 1.4.6
Author:
  Bill Shannon
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected long`
`number`
The number.

## Constructor Summary

Constructors
Constructor
Description
`GmailMsgIdTerm(long msgId)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Equality comparison.
`long`
`getNumber()`
Return the number to compare with.
`int`
`hashCode()`
Compute a hashCode for this object.
`protected boolean`
`match(long i)`
`boolean`
`match(Message msg)`
The match method.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### number

protected long number
The number.

## Constructor Details

### GmailMsgIdTerm

public GmailMsgIdTerm(long msgId)
Constructor.

Parameters:
  `msgId` - the message ID

## Method Details

### match

public boolean match(Message msg)
The match method.

Specified by:
  `match` in class `SearchTerm`
Parameters:
  `msg` - the Message number is matched with this Message
Returns:
  true if the match succeeds, otherwise false

### equals

public boolean equals(Object obj)
Equality comparison.

Parameters:
  `obj` - the object to compare with
Returns:
  true if equal

### getNumber

public long getNumber()
Return the number to compare with.

Returns:
  the number

### match

protected boolean match(long i)

### hashCode

public int hashCode()
Compute a hashCode for this object.

Overrides:
  `hashCode` in class `Object`